/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

// bptsvr.h : header file
//
#ifndef _BPTSVR_H_
#define _BPTSVR_H_

// Global routine

HINSTANCE BptGetDLLHandle();

/////////////////////////////////////////////////////////////////////////////
// CBpServer

class CBpServer
{
// Contruction & Destruction
public:
    CBpServer() { }

    virtual ~CBpServer() { }

// Attributes
protected:
	CBpData m_BpData;

// Implementation
protected:
	void DisplayAllBp();
	void SetOneBp();
	void DisplayOneBp(const CBpData* pObj, BOOL bSet = TRUE);

	void ClearAllBp();
	void ClearOneBp();

	BOOL GetBpData(char* pszArgv);

public:
    void BpAction(int nArgc, char* pszArgv[]);
    void ClearAction(int nArgc, char* pszArgv[]);
};

#endif
